通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

CIAM Tenants - Create

启动异步请求,为客户租户和链接到订阅的相应 Azure 资源创建 Azure AD。 注意:请在创建新租户之前检查名称可用性

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureActiveDirectory/ciamDirectories/{resourceName}?api-version=2023-05-17-preview

URI 参数

名称 必需 类型 说明
resourceGroupName
path True

string

资源组的名称。

resourceName
path True

string

maxLength: 26
pattern: ^[a-zA-Z0-9]{1,26}

租户的初始子域。

subscriptionId
path True

string

唯一标识 azure 订阅Microsoft的订阅凭据。 订阅 ID 构成了每个服务调用的 URI 的一部分。

api-version
query True

string

要用于客户端请求的 API 的版本。

请求正文

名称 必需 类型 说明
location True

string

托管资源的位置和数据驻留。 可以是“美国”、“欧洲”、“亚太地区”或“澳大利亚”之一。 有关详细信息,请参阅本文档

properties.createTenantProperties.countryCode True

string

Azure 租户的国家/地区代码(例如“US”)。 请参阅 https://aka.ms/ciam-data-location 查看有效的国家/地区代码和相应的数据驻留位置。 如果在有效的数据驻留位置看不到国家/地区代码,请从列表中选择一个。

properties.createTenantProperties.displayName True

string

客户租户的 Azure AD 的显示名称。

sku True

CIAMResourceSKU

适用于客户租户的 Azure AD 的 SKU 属性。 在 https://aka.ms/ciambilling了解有关客户计费的 Azure AD 的详细信息。

properties.tenantId

string

客户租户的 Azure AD 标识符。

tags

object

资源标记

响应

名称 类型 说明
200 OK

CIAMTenantResource

确定 - 已成功为客户租户资源更新现有的 Azure AD。

201 Created

CIAMTenantResource

客户租户创建请求的 Azure AD 已成功启动,将以异步方式完成。

标头

  • Azure-AsyncOperation: string
  • Retry-After: string
Other Status Codes

ErrorResponse

描述作失败的原因的错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Create_CIAM_tenant

示例请求

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/contosoResourceGroup/providers/Microsoft.AzureActiveDirectory/ciamDirectories/contoso?api-version=2023-05-17-preview

{
  "location": "United States",
  "sku": {
    "name": "Standard",
    "tier": "A0"
  },
  "properties": {
    "createTenantProperties": {
      "displayName": "Contoso",
      "countryCode": "US"
    }
  }
}

示例响应

{
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/contosoResourceGroup/providers/Microsoft.AzureActiveDirectory/ciamDirectories/contoso",
  "name": "contoso",
  "type": "Microsoft.AzureActiveDirectory/ciamDirectories",
  "location": "United States",
  "sku": {
    "name": "Standard",
    "tier": "A0"
  },
  "properties": {
    "provisioningState": "Succeeded",
    "createTenantProperties": {
      "displayName": "Contoso",
      "countryCode": "US"
    },
    "billingConfig": {
      "billingType": "MAU",
      "effectiveStartDateUtc": "1/1/0001 12:00:00 AM"
    },
    "domainName": "contoso.onmicrosoft.com",
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "tags": null,
  "systemData": {
    "createdBy": "contosoAdmin@onmicrosoft.com",
    "createdByType": "User",
    "createdAt": "2020-02-03T01:01:01.1075056Z",
    "lastModifiedBy": "contosoAdmin@onmicrosoft.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-02-04T01:01:01.1075056Z"
  }
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/e70a6dd9-57ab-481e-9668-a6899e3f13f6/providers/Microsoft.AzureActiveDirectory/operationStatuses/f57cbcaf-5d23-495e-8414-43fe19cb9e82?api-version=2023-05-17-preview
Retry-After: 60
{
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/contosoResourceGroup/providers/Microsoft.AzureActiveDirectory/ciamDirectories/contoso.onmicrosoft.com",
  "name": "contoso.onmicrosoft.com",
  "type": "Microsoft.AzureActiveDirectory/ciamDirectories",
  "location": "United States",
  "sku": {
    "name": "Standard",
    "tier": "A0"
  },
  "properties": {
    "provisioningState": "Provisioning",
    "createTenantProperties": {
      "displayName": "Contoso",
      "countryCode": "US"
    },
    "billingConfig": {
      "billingType": "MAU",
      "effectiveStartDateUtc": "1/1/0001 12:00:00 AM"
    },
    "tenantId": "00000000-0000-0000-0000-000000000000"
  },
  "tags": null,
  "systemData": {
    "createdBy": "contosoAdmin@onmicrosoft.com",
    "createdByType": "User",
    "createdAt": "2020-02-03T01:01:01.1075056Z",
    "lastModifiedBy": "contosoAdmin@onmicrosoft.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2020-02-04T01:01:01.1075056Z"
  }
}

定义

名称 说明
ciamBillingType

计费类型。 将对所有新客户使用 MAU。 如果值为“MAU”,则无法更改。 在 aka.ms/b2cBilling了解有关客户计费的 Azure AD 的详细信息。

CIAMResourceSKU

适用于客户租户的 Azure AD 的 SKU 属性。 在 https://aka.ms/ciambilling了解有关客户计费的 Azure AD 的详细信息。

CIAMResourceSKUName

租户的 SKU 的名称。

CIAMResourceSKUTier

租户的层。

CIAMTenantResource

面向客户的 Azure AD 资源。

ciamTypeValue

客户租户资源的 Azure AD 类型。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ProvisioningState

预配状态

systemData

与创建和上次修改资源相关的元数据。

ciamBillingType

计费类型。 将对所有新客户使用 MAU。 如果值为“MAU”,则无法更改。 在 aka.ms/b2cBilling了解有关客户计费的 Azure AD 的详细信息。

说明
MAU

面向客户的 Azure AD 使用情况按链接的 Azure 订阅计费,并使用每月活跃用户(MAU)计费模型。

CIAMResourceSKU

适用于客户租户的 Azure AD 的 SKU 属性。 在 https://aka.ms/ciambilling了解有关客户计费的 Azure AD 的详细信息。

名称 类型 说明
name

CIAMResourceSKUName

租户的 SKU 的名称。

tier

CIAMResourceSKUTier

租户的层。

CIAMResourceSKUName

租户的 SKU 的名称。

说明
Standard
PremiumP1
PremiumP2

CIAMResourceSKUTier

租户的层。

说明
A0

用于客户租户的所有 Azure AD 的 SKU 层。

CIAMTenantResource

面向客户的 Azure AD 资源。

名称 类型 说明
id

string

表示客户租户资源的 Azure AD 的标识符。

location

string

托管资源的位置和数据驻留。 可以是“美国”、“欧洲”、“亚太地区”或“澳大利亚”之一。 有关详细信息,请参阅本文档

name

string

客户租户资源的 Azure AD 的名称。

properties.billingConfig.billingType

ciamBillingType

计费类型。 将对所有新客户使用 MAU。 如果值为“MAU”,则无法更改。 在 aka.ms/b2cBilling了解有关客户计费的 Azure AD 的详细信息。

properties.billingConfig.effectiveStartDateUtc

string

计费类型生效的数据

properties.createTenantProperties.countryCode

string

Azure 租户的国家/地区代码(例如“US”)。 请参阅 https://aka.ms/ciam-data-location 查看有效的国家/地区代码和相应的数据驻留位置。 如果在有效的数据驻留位置看不到国家/地区代码,请从列表中选择一个。

properties.createTenantProperties.displayName

string

客户租户的 Azure AD 的显示名称。

properties.domainName

string

租户的域名

properties.provisioningState

ProvisioningState

预配状态

properties.tenantId

string

客户租户的 Azure AD 标识符。

sku

CIAMResourceSKU

适用于客户租户的 Azure AD 的 SKU 属性。 在 https://aka.ms/ciambilling了解有关客户计费的 Azure AD 的详细信息。

systemData

systemData

与创建和上次修改资源相关的元数据。

tags

object

资源标记

type

ciamTypeValue

客户租户资源的 Azure AD 类型。

ciamTypeValue

客户租户资源的 Azure AD 类型。

说明
Microsoft.AzureActiveDirectory/ciamDirectories

客户租户资源的 Azure AD 的资源类型。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ProvisioningState

预配状态

说明
Succeeded
Failed
Canceled
Provisioning
Deleting
Deleted

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。